Package org.linphone.core

# Interface FriendDevice

public interface FriendDevice
Object that represents a `Friend`'s device (name, trust level) for a
given SIP address.

## Method Summary

Modifier and Type
Method
Description
`FriendDevice`
`clone()`
Clones a device.
`Address`
`getAddress()`
Gets the address associated to this device.
`String`
`getDisplayName()`
Gets the display name of this device.
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`SecurityLevel`
`getSecurityLevel()`
Gets the current security level of this device.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`String`
`toString()`

## Method Details

### getAddress

Address getAddress()
Gets the address associated to this device.

Returns:
  the address (including gruu) to which this device is linked.

### getDisplayName

String getDisplayName()
Gets the display name of this device.

Returns:
  the name of the device.

### getSecurityLevel

SecurityLevel getSecurityLevel()
Gets the current security level of this device.

Returns:
  the current `SecurityLevel` of the device.

### clone

FriendDevice clone()
Clones a device.

Returns:
  The newly created `FriendDevice` object.

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`